
Summary:	The Weston Wayland Compositor
Name:		weston
Version:	3.0.0
Release:	%mkrel 1
Source0:	http://wayland.freedesktop.org/releases/%{name}-%{version}.tar.xz
License:	MIT
Group:		Graphics
Url:		http://wayland.freedesktop.org/
#---------------------------------------------
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}drm-devel
BuildRequires: %{_lib}gbm1-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}input-devel
BuildRequires: %{_lib}jpeg-devel
BuildRequires: %{_lib}lcms2-devel
BuildRequires: %{_lib}mesaegl1-devel
BuildRequires: %{_lib}mesaglesv2_2-devel
BuildRequires: %{_lib}mtdev-devel
BuildRequires: %{_lib}pam-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}pixman-devel
BuildRequires: %{_lib}png-devel
BuildRequires: %{_lib}udev0-devel
BuildRequires: %{_lib}unwind-devel
BuildRequires: %{_lib}va-devel
BuildRequires: %{_lib}wayland-devel
BuildRequires: %{_lib}webp-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xcursor-devel
BuildRequires: %{_lib}xkbcommon-devel
BuildRequires: libxcb-devel
BuildRequires: wayland-protocols-devel
#---------------------------------------------

%description
Weston is the reference implementation of a Wayland compositor, and a
useful compositor in its own right. Weston has various backends that
lets it run on Linux kernel modesetting and evdev input as well as
under X11.
There is also a quite capable terminal emulator (weston-terminal) and
an toy/example desktop shell. Finally, Weston also provides
integration with the Xorg server and can pull X clients into the
Wayland desktop and act as a X window manager.


%package devel
Summary: Common headers for weston
License: MIT
Group: Development/Libraries

%description devel
Common headers for weston

%prep
%setup -q

%build
autoreconf -vfi
export CFLAGS="-lrt"
%configure2_5x --disable-setuid-install
%make

%install
rm -rf %buildroot
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_libdir}/%{name}/*.la
rm -f %{buildroot}%{_libdir}//libweston-2/*la

for d in $(find clients/ -type f -not -name Makefile -and -not -name '*.*' -and -not -name '%{name}-*'); do
    install -m755 $d %{buildroot}%{_bindir}/%{name}-$(basename $d)
done

%files
%{_bindir}/%{name}
%{_bindir}/wcap-decode
%attr(4755,root,root) %{_bindir}/%{name}-launch
%{_bindir}/%{name}-info
%{_bindir}/%{name}-terminal
%{_libexecdir}/%{name}-*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.so
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.png
%{_datadir}/%{name}/*.svg
%{_mandir}/man*/*
%exclude %{_datadir}/wayland-sessions/weston.desktop
%{_libdir}/libweston-3.so.*
%{_libdir}/libweston-desktop-3.so.*
%{_libdir}/libweston-3

%files devel
%{_includedir}
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so


%clean
rm -rf %buildroot


%changelog
* Mon Jun 11 2018 adrianomorselli <adrianomorselli> 3.0.0-1uplos2018
- update
